Package org.apache.sling.api.resource

# Interface PersistableValueMap

All Superinterfaces:
  `Map<String,Object>`, `ValueMap`

@Deprecated public interface PersistableValueMap extends ValueMap
Deprecated.
Use the `ModifiableValueMap` instead.
The `PersistableValueMap` is an extension of the `ValueMap` which allows to modify and persist the properties.

Note, that each time you call `Adaptable.adaptTo(Class)` you get a new map instance which does not share modified properties with other representations.

A `PersistableValueMap` might not support deep reading of values.

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Field Summary

### Fields inherited from interface org.apache.sling.api.resource.ValueMap

`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`void`
`reset()`
Deprecated.
Reset the changes.
`void`
`save()`
Deprecated.
Persists the changes.

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from interface org.apache.sling.api.resource.ValueMap

`get, get`

## Method Details

### save

void save() throws PersistenceException
Deprecated.
Persists the changes.

Throws:
  `PersistenceException` - If the changes can't be persisted.

### reset

void reset()
Deprecated.
Reset the changes.